Detalhes Pagamento
curl --request POST \
--url https://pay.autorizou.dev/api/v1/payments/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_id": "<string>",
"details": [
{
"details[].three_ds_result": "<string>"
}
]
}
'import requests
url = "https://pay.autorizou.dev/api/v1/payments/details"
payload = {
"payment_id": "<string>",
"details": [{ "details[].three_ds_result": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_id: '<string>', details: [{'details[].three_ds_result': '<string>'}]})
};
fetch('https://pay.autorizou.dev/api/v1/payments/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Pagamentos
Detalhes Pagamento
Consultar status e detalhes de um pagamento específico
POST
/
api
/
v1
/
payments
/
details
Detalhes Pagamento
Parametros da Requisição
string
required
Identificador UUID do pagamento.
Exemplos de Requisição
curl -X POST https://pay.autorizou.dev/api/v1/payments/details \
-H "Authorization: Bearer 4eC39HqLyjWDarjtT1zdp7dc" \
-H "Content-Type: application/json" \
-d '{
"payment_id": "295e3b31-1684-4355-8ee5-4bbf7b97589b",
"details": [
{
"three_ds_result": null
}
]
}'
const result = await fetch('https://pay.autorizou.dev/api/v1/payments/details', {
method: 'POST',
headers: {
'Authorization': 'Bearer 4eC39HqLyjWDarjtT1zdp7dc',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"payment_id": "295e3b31-1684-4355-8ee5-4bbf7b97589b"
"details": [
{
"three_ds_result": null
}
]
})
});
<?php
$data = [
'payment_id' => '295e3b31-1684-4355-8ee5-4bbf7b97589b'
'details' => [
[
"three_ds_result": null
],
]
];
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://pay.autorizou.dev/api/v1/payments/settlements',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer 4eC39HqLyjWDarjtT1zdp7dc',
'Content-Type: application/json'
],
CURLOPT_POSTFIELDS => json_encode($data)
]);
$response = json_decode(curl_exec($curl), true);
echo json_encode($response, JSON_PRETTY_PRINT);
?>
Exemplo de Resposta
{
"status": "authorized",
"refusal_reason": "string",
"return_code": "string"
}
Detalhes da Resposta
Dados Principais
| Campo | Tipo | Descrição |
|---|---|---|
status | string | Status atual do pagamento (authorized, authentication_requested, waiting_payment, refused, refunded, error, processing) |
refusal_reason | string | Motivo da recusa |
return_code | string | Código de autorização |
Status Possíveis
| Status | Descrição | Finalizado |
|---|---|---|
authorized | Autorizado (aguarda captura) | |
authentication_requested | Autenticação solicitada | |
waiting_payment | Aguardando pagamento | |
refused | Recusado pelo banco | |
refunded | Estornado | |
error | Erro | |
processing | Sendo processado |
⌘I